package api

type StaffLoginReq struct {
	Username string `json:"username"`
	Password string `json:"password"`
}

type StaffListReq struct {
	BaseRequest
	Phone    string `form:"phone"`
	Idno     string `form:"idno"`
	Username string `form:"username"`
	Realname string `form:"realname"`
}

type StaffCreateReq struct {
	Username string `json:"username"`
}

type StaffUpdateReq struct {
	Id           string `json:"id"`
	Phone        string `json:"phone"`
	Idno         string `json:"idno"`
	Username     string `json:"username"`
	Realname     string `json:"realname"`
	EntryDate    string `json:"entry_date"`
	OfficialDate string `json:"official_date"`
	LeaveDate    string `json:"leave_date"`

	SalaryBase       string `json:"salary_base"`
	SalaryTarget     string `json:"salary_target"`
	SalaryCalculator string `json:"salary_calculator"`

	PayeeBankName  string `json:"payee_bank_name"`
	PayeeBankCard  string `json:"payee_bank_card"`
	PayeeApliayUid string `json:"payee_apliay_uid"`

	Config string `json:"config"`
}
